h2.header-font Users Management
= link_to 'Back', main_app.root_path
.status_partial
  = render "status",  api_status: @api_status
- if @api_status == 200
  table.styled-table
    thead
      tr
        th Id
        th Name
        th Email
        th Roles
        th

    tbody
      - @users.each do |user|
        tr

          td = user.id
          td
            = user.name
          td
            = user.email
          td
            .inline_group
              - @roles.map(&:strip).each do |role|
                .inline_button
                  = button_to role, toggle_role_path(user_id: user.id, role: role, method: "#{user.roles_as_array.include?(role) ? 'remove' : 'add'}", roles: user.roles ), remote: true, method: :post, class: 'button7 ', style: "background-color:#{user.roles_as_array.include?(role) ? '#2979FF' : '#868a89'}", title: "Click to #{user.roles_as_array.include?(role) ? 'remove' : 'add'} role"
          td
            = form_tag toggle_role_path, method: :post, remote: true, authenticity_token: true
              = hidden_field_tag :user_id, user.id
              = hidden_field_tag :roles, user.roles
              = hidden_field_tag :method, 'add'
              = text_field_tag :role
              = submit_tag "Add role", class: 'button7 green-bg'
      tr
        td colspan="5" align="right"
          = form_tag new_user_path, method: :post, remote: true, authenticity_token: true
            = label_tag 'Roles: '
            = text_field_tag :roles, "admin, member", size: 50
            = label_tag ' Email: '
            = text_field_tag :email, nil, :placeholder => 'name@email.com', size: 60
            = submit_tag "+ Add new user", class: 'button7 green-bg'

- else
  p.red "Get users error: #{@api_status} #{Net::HTTPResponse::CODE_TO_OBJ[@api_status.to_s].to_s}"